---
title: How to Take Smart Notes
series: Book Reviews
description: Summary of the book How to take smart notes explaining the Zettlekasten method
keywords: how to take smart notes, how to take smart notes summary, Zettlekasten method, Zettlekasten system explained, how to take smart notes comment
publish: true
date: 2022-09-05
uuid: 1bd76fd3-e7b3-4013-afbf-7b00e9aef86f
tags:
  - #kind/summary
  - #topic/learning
  - #topic/productivity
  - #topic/meta
---

During my Bachelor's and Master's degree I had almost literally no time for other activities, and so I cut off completely my reading habits, which I had had since I was a child, when I was an avid reader of investigative stories and fiction.

Having regained my leisure time, I quickly found out that narrative was no more as appealing as it had been before.
After a bit of wandering I stumbled casually on an online recommendation for the book *How to take smart notes* by *Sönke Ahrens*, which I started reading not expecting too much, given its hyped title.

Instead I found very valuable suggestions for how to structure intellectual work and notes, and I must admit that I have been using the techniques productively for more than two years since.
In this note I will try to briefly summarize the main topics in the book and I hope this will intrigue you enough to read it and to adopt [the system](https://en.wikipedia.org/wiki/Zettelkasten) [(Archived)](https://web.archive.org/web/20220704/https://en.wikipedia.org/wiki/Zettelkasten).

<!-- More -->

The author reminds ourselves the centrality of the writing process to our intellectual life, not only when writing books or papers, but also when organizing our thoughts, or when we want to exchange ideas with others or to memorize something.
At the same time very few suggestions are available for the organization of the everyday note-taking process that takes up the biggest chunk of our writing time.
The aim of the book is to fill this gap by telling about a way to organize a set of interconnected notes from which to extract written pieces when in need to, but also to learn better and to generate new ideas in the long run.

The proposed system is very simple and centered around the fact that we just need a reliable and simple external structure to think in that compensates for the limitations of our brains, namely the need of writing our ideas to think more clearly, and to the need to record our thoughts to not forget them and to allow ideas to combine.
The system is set up to be a flexible structure into which to work, and allows you to focus on the task at hand and to pick up matters quickly where you left off.

I will try to briefly summarize the bullet points of the system itself, leaving historical implementation details apart (there were no links between files then), but I invite the interested reader to read the original book.
- Thoughts are recorded as a set of notes with links between related thoughts.
- Notes are not organized by topics, but have separated buckets by type:
  1. *Bibliographical Notes*, which contain the references and brief notes on the content of the literature.
  2. *Fleeting Notes*, which are only reminders of information; can be written in any kind of way and will end up in trash within a day or two.
  3. *Permanent Notes*, which will *never* be thrown away. They contain the necessary information in themselves in a permanently understandable way.
  4. *Project Notes*, which are only relevant to a particular project. They are kept within a project-specific folder and can be discarded or archived after the project is finished.
  
  It is very important to separate fleeting notes from other types, otherwise the collection of good ideas will be diluted by all other notes, which may not be that good on second sight.
- When reading new material, read it "with a pen in the hand": the idea isn't to copy but to re-elaborate the material we are reading into our own language and summarize it by writing it on paper.
  This forces you to think about what you have read and to check upon your understanding; on the other hand verbatim notes can be taken without ever entering our brains.
  
  At the end of the read take the produced fleeting note and insert it into your note collection, asking yourself to which other notes the content is related, trying to highlight inconsistencies or contradictions with other material you have already read.
- Remember to write complete phrases and to build lines of developed thoughts so that you can continue where you left off another day.
  It is this process of integration with your existing body of knowledge that forces you to really think about the fresh material, and is part of why the system works so well.
- The system can be used as a way to think in, after a sufficiently wide amount of knowledge has been integrated. You can start from random notes to draw connections between different ideas, or just doing some polishing of notes to better integrate divergent lines of thoughts.
- You can start from a blank state with what you are thinking about at the current time, and need not insert all your previous knowledge into it. It is not intended to be your personal encyclopedia, and this is also why bibliographical notes are clearly separated from the rest.

I would say that the proposal is a solid one, which can be implemented easily nowadays using freely available software such as [Google Keep](https://keep.google.com) for fleeting notes (exceptionally fit to the task of writing down a thought wherever you are) and [Obsidian](https://obsidian.md) for other notes, and whose efficiency can be summarized by a question: "If we have to write anyway, why not use our writing to build up the resources for future productions?"
