---
title: Simple Rules
subtitle: How to Thrive in a Complex World
series: Book Reviews
description: Summary of Simple Rules, How to Thrive in a Complex World about how simple rules can be effective for complex problems.
keywords: Simple Rules How to Thrive in a Complex World, simple rules for complex problems, simple rules for difficult problems, Comment to Simple Rules How to Thrive in a Complex World
publish: true
date: 2022-09-13
uuid: e1f8d99b-0127-481f-89b1-305c2b04c158
tags:
  - #kind/summary
  - #topic/learning
  - #topic/productivity
  - #topic/meta
---

Today I want to talk about a book that I read recently and that I really enjoyed.
The book is *Simple Rules, How to Thrive in a Complex World* by *Donald Sull and Kathleen M. Eisenhardt*; the central idea is the realization that complex problems can have simple solution schemes, and that we can elicit ways to collect simple rules that work effectively for the problem at hand, thus making the rules also more easy to communicate and to follow.

<!-- More -->

The book first provides many examples where simple rules allow one entity (either an individual or an organization) to perform much better than others who have a complex set of rules with details of how to manage each case that may arise.

Detailed rules are useful to avoid catastrophic errors with known causes (like the checklist of airplane pilots), but the power of simple rules lies in the fact that they provide guidance and leave at the same time a lot of flexibility.
Moreover they are more easy to communicate and remember and thus may serve well inside the context of an organization where many people must remember the firm main objectives for the future.

To be effective simple rules should be (1) not too many, so that they can effectively be remembered and acted upon (2) situation-tailored and fit to a specific task, i.e. not so broad in scope as to loose any impact and (3) provide concrete guidance without being prescriptive.

**Types of Rules**
The authors then divide rules into categories: *rules for decisions* which help you take better decisions and *rules for actions* that focus on getting the job done and to do it better, and into six different classes:
1. **Boundary rules** which let you decide between two mutually exclusive alternatives;
2. **Prioritizing rules** that rank options for limited resource sharing or when multiple conflicting views arise;
3. **Stopping rules** to know when to reverse a prior decision;
4. **How-to rules** that guide the basics of executing tasks;
5. **Coordination rules** to get something done when multiple actions have to work together;
6. **Timing rules** to get things done in situations where temporal factors are relevant.

The rule classes effectively subsume all the various types of questions that one should be able to answer for an effective action: (1) in which cases is action necessary? (2) which actions should be prioritized? (3) when is it the case to stop taking action or to reconsider the decision? (4) how should I effectively take action? (5) with whom should I take action and how do we coordinate? (6) when is action to be taken?

An interesting process related to rule consolidation is letting a group of people to negotiate rules that they have to submit to, e.g. in the case of a group of high-level managers has to decide on which projects to drop, instead of fussing over the projects themselves, one can ask them to come up with recommending rules about which projects to drop and then to applicate them so that there is already a reached consensus on which rules to apply and no one will oppose them.

**Simple Rules for  Bottleneck Resolution**
Simple Rules can be applied to solve productive problems in an industry or also to solve personal situations. In both cases a simple process applies:
1. Decide what is the most impactful area to concentrate on. In the case of an industry revenue is the space between incomes and costs, and thus one can either decrease costs or increase incomes, and has to focus on what can move the most either part.
   For personal problems one can visualize its personal happiness as the space between what energizes you and what stresses you out, and search for opportunities that move the two sides the most.
2. Once an opportunity is clear, identify bottlenecks that keep you from creating personal value or your firm from creating economic value. Focus just on the major bottlenecks, i.e. where the demand exceeds the available resources, and not on creating rules for the whole productive process.
3. Develop simple rules that can alleviate pressure in the bottleneck.
   If you know someone or some other firm who is particularly good at managing the bottleneck, it would be wise to consult him or to learn their management techniques.
4. Test and refine your rules on real-world experience.
   Collect experiential data and divide between what worked out best, what turned out worst and what had no particular effects. Comparing the differences between better and worst cases is typically the quickest and most effective way to develop rules.
   It can also be useful to trying to improve the rules by doing something else which is still correlated or shares significant commonalities to the prior activity, as this can help in learning strategies that generalize better across the activities.
   
   It is interesting to notice that, according to the research in the book, simply gaining experience is not enough, and it has to be formalized in simple rules for an increase in experience to translate into an increase in expertise and achieved results.

The authors then dedicate a small section to how to deal with disruptions of the system to which the simple rules apply. Disruptions are rare but they require fundamental changes when they happen: one must recognize that the change is happening and study its implications well beyond a surface understanding, in order to devise new rules that can work in the novel situation.
Then quickly break the old rules and move on to using the newly formed ones, as failure to do so will subject the entity to significant damage.

**Conclusions**
Don't let the simplicity of the system trick you: much effort is required to develop simple rules that work, because it requires honing in the essential and decluttering the pheripheral, or in the words of Steve Jobs:
> You have to work hard to get your thinking clean to make it simple, but it is worth it in the end because once you get there you can move mountains.
> -- Steve Jobs
